%define upstream_name    Perl6-Slurp
%define upstream_version 0.051005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Implements the Perl 6 'slurp' built-in
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/Perl6-Slurp-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package implements the Perl 6 'slurp' built-in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml MYMETA.yml README demo
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Perl6/Slurp.pm

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.51.5-10.mga10
+ Revision: 2200099
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.51.5-9.mga9
+ Revision: 1805064
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.51.5-8.mga8
+ Revision: 1496462
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.51.5-7.mga7
+ Revision: 1270496
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.51.5-6.mga6
+ Revision: 1031958
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.51.5-5.mga6
+ Revision: 949071
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.51.5-4.mga5
+ Revision: 788905
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.51.5-3.mga5
+ Revision: 747957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.51.5-2.mga5
+ Revision: 685956
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.51.5-1.mga5
+ Revision: 597050
- update to 0.051005

* Mon Feb 10 2014 jquelin <jquelin> 0.51.4-1.mga5
+ Revision: 588605
- update to 0.051004

* Sat Oct 19 2013 umeabot <umeabot> 0.51.3-2.mga4
+ Revision: 527209
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.51.3-1.mga4
+ Revision: 439730
- update to 0.051003

* Sun Jan 13 2013 umeabot <umeabot> 0.51.1-2.mga3
+ Revision: 371786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.51.1-1.mga3
+ Revision: 286395
- update to 0.051001

* Wed Jul 04 2012 jquelin <jquelin> 0.51.0-1.mga3
+ Revision: 267451
- update to 0.051000

* Fri Feb 24 2012 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 213750
- update to 0.050000

* Fri Jan 21 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 28725
- mageia rebuild
- imported package perl-Perl6-Slurp


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-2mdv2010.1
+ Revision: 505004
- tighten spec file & remove duplicated tarball

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 419903
- new perl version macro
- fix tests
- spec cleanup

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.03-4mdv2009.0
+ Revision: 258226
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.03-3mdv2009.0
+ Revision: 246280
- rebuild

* Sun Mar 23 2008 Stefan van der Eijk <stefan@mandriva.org> 0.03-1mdv2008.1
+ Revision: 189557
- import perl-Perl6-Slurp


